<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:mem="http://schemas.4d.com/MEM">

<xsl:template match="/">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Method Detail</title>
<link rel="stylesheet" href="Default.css"/>
</head>

<body>

<h1><img src="4dlogo.gif" alt="4D Logo" width="39" height="53" />&#32;<xsl:value-of select="mem:method/mem:name"/></h1>
<p><a href="MethodList.xml">Contents</a></p>
<table>
  <tr>
    <td><strong>Usage:</strong></td>
    <td><p><xsl:value-of select="mem:method/mem:name"/>
    (<xsl:for-each select="mem:method/mem:parameter-list/mem:parameter">
    	<xsl:value-of select="@naming-variable"/>
    	<xsl:if test="position()&lt;(count(//mem:parameter))">;&#32;</xsl:if>
    </xsl:for-each>)</p>
    </td>
  </tr>
  <tr>
    <td><strong>Type:</strong></td>
    <td><p>
    <xsl:choose>
    <xsl:when test="count(//mem:return)=0">
    	Subroutine
    </xsl:when>
    <xsl:otherwise>
    	Function
    </xsl:otherwise>
    </xsl:choose>
    </p>
    </td>
  </tr>
  <xsl:if test="count(mem:method/mem:parameter-list/child::mem:parameter) > 0">

    <tr>
      <td><strong>Parameters:</strong></td>
      <td><ul>
      

      	<xsl:for-each select="mem:method/mem:parameter-list/mem:parameter">
        <li><xsl:value-of select="@type"/> - <xsl:value-of select="."/></li>
        </xsl:for-each>
        
        
      </ul></td>
    </tr>
   </xsl:if>
   <xsl:if test="count(mem:method/mem:parameter-list/child::mem:return) > 0">
    <tr>
      <td><strong>Return:</strong></td>
      <td>
        <p>
      	<xsl:value-of select="mem:method/mem:parameter-list/mem:return/@type"/> - <xsl:value-of select="mem:method/mem:parameter-list/mem:return"/>
      	</p>
      </td>
    </tr>
   </xsl:if>

   <tr>
      <td><strong>Author:</strong></td>
      <td><p><xsl:value-of select="mem:method/mem:author"/></p>
      </td>
    </tr>
    
    <xsl:if test="string-length(mem:method/mem:version) > 0">

    <tr>
      <td><strong>Version:</strong></td>
      <td><p><xsl:value-of select="mem:method/mem:version"/></p>
      </td>
    </tr>
    
    </xsl:if>
    
    <tr>
      <td><strong>Timestamp:</strong></td>
      <td><p><xsl:value-of select="mem:method/mem:timestamp"/></p>
      </td>
    </tr>
    
    <xsl:if test="string-length(mem:method/mem:modifiedby) > 0">
    <tr>
      <td><strong>Modified By:</strong></td>
      <td><p><xsl:value-of select="mem:method/mem:modifiedby"/></p>
      </td>
    </tr>
    </xsl:if>
    
</table>

   <xsl:if test="string-length(mem:method/mem:description) > 0">
	<h2>Description:</h2>
	<pre>&#32;<xsl:value-of select="mem:method/mem:description"/></pre>
   </xsl:if>

<xsl:if test="count(mem:method/mem:see-also/child::*) > 0">

<h2>See Also</h2>
<ul>
	<xsl:for-each select="mem:method/mem:see-also/mem:see">
  		<li><a href="{.}.xml"><xsl:value-of select="."/></a></li>
  	</xsl:for-each>
</ul>

</xsl:if>

</body>
</html>

</xsl:template>

</xsl:stylesheet>